/*
Navicat MySQL Data Transfer

Source Server         : 风清扬
Source Server Version : 50624
Source Host           : 47.105.32.6:3306
Source Database       : fqy_store

Target Server Type    : MYSQL
Target Server Version : 50624
File Encoding         : 65001

Date: 2018-11-07 15:34:45
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for t_administrators
-- ----------------------------
DROP TABLE IF EXISTS `t_administrators`;
CREATE TABLE `t_administrators` (
  `ADMINISTRATORS_ID` varchar(20) NOT NULL COMMENT '管理员编号',
  `MANAGEMENT_SHOPS` varchar(200) DEFAULT NULL COMMENT '所管店铺',
  `CONTACT_NUMBER` varchar(20) DEFAULT NULL COMMENT '联系电话',
  `WECHAT` varchar(20) DEFAULT NULL COMMENT '微信',
  `QQ` varchar(20) DEFAULT NULL COMMENT 'QQ',
  `QR_CODE` varchar(100) DEFAULT NULL COMMENT '二维码',
  `IS_AUDITING` tinyint(4) DEFAULT NULL COMMENT '是否审核',
  `POWER` varchar(20) DEFAULT NULL COMMENT '权限',
  `SYSTEM_ID` varchar(20) DEFAULT NULL COMMENT '系统管理员编号',
  `CREATE_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATE_TIME` datetime DEFAULT NULL COMMENT '修改时间',
  `OPERATOR_ID` varchar(20) DEFAULT NULL COMMENT '操作人ID',
  `OPERATOR_TYPE` tinyint(4) DEFAULT NULL COMMENT '操作人类型',
  `ADMINISTRATORS_NAME` varchar(50) DEFAULT NULL COMMENT '管理员名称',
  `IS_DELETED` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`ADMINISTRATORS_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for t_advert
-- ----------------------------
DROP TABLE IF EXISTS `t_advert`;
CREATE TABLE `t_advert` (
  `ADVERT_ID` varchar(20) NOT NULL COMMENT '广告id',
  `ADVERT_TYPE` tinyint(4) DEFAULT NULL COMMENT '广告类型广告类型（1、活动广告 2、系统公告 3、新闻资讯4、使用指南5、关于我们 ）',
  `ADVERT_TITLE` varchar(200) DEFAULT NULL COMMENT '广告标题',
  `ADVERT_SUB_TITLE` varchar(200) DEFAULT NULL COMMENT '广告副标题',
  `ADVERT_CONTENT` text COMMENT '广告内容',
  `LINK_URL` varchar(200) DEFAULT NULL COMMENT '链接地址',
  `IS_AVAILABLE` tinyint(4) DEFAULT NULL COMMENT '是否启用（1、可用，0、不可用，默认0）',
  `ADVERT_PIC_URL` varchar(200) DEFAULT NULL COMMENT '广告图片url',
  `CREATE_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATE_TIME` datetime DEFAULT NULL COMMENT '修改时间',
  `OPERATOR_ID` varchar(20) DEFAULT NULL COMMENT '操作人id',
  `OPERATOR_TYPE` tinyint(4) DEFAULT NULL COMMENT '操作人类型',
  `usage_subclass` varchar(20) DEFAULT NULL COMMENT '使用指南子类',
  PRIMARY KEY (`ADVERT_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for t_store
-- ----------------------------
DROP TABLE IF EXISTS `t_store`;
CREATE TABLE `t_store` (
  `STORE_ID` varchar(20) NOT NULL COMMENT '店铺编号',
  `STORE_NAME` varchar(50) DEFAULT NULL COMMENT '店铺名称',
  `CONTACT_NUMBER` varchar(20) DEFAULT NULL COMMENT '联系电话',
  `CONTACTS` varchar(20) DEFAULT NULL COMMENT '联系人',
  `QQ` varchar(20) DEFAULT NULL COMMENT 'QQ',
  `WECHAT` varchar(20) DEFAULT NULL COMMENT '微信',
  `PROVINCE` varchar(20) DEFAULT NULL COMMENT '省份',
  `ANCESTRAL` varchar(100) DEFAULT NULL COMMENT '祖籍',
  `COUNTY` varchar(100) DEFAULT NULL COMMENT '区县',
  `STORE_POSITION` varchar(100) DEFAULT NULL COMMENT '位置',
  `STORE_BUSINESS_TIME_START` varchar(50) DEFAULT NULL COMMENT '营业时间起',
  `STORE_BUSINESS_TIME_END` varchar(50) DEFAULT NULL COMMENT '营业时间止',
  `CONSUME_INTERVAL` varchar(50) DEFAULT NULL COMMENT '消费区间',
  `STORE_DETAILS` varchar(200) DEFAULT NULL COMMENT '店铺详情',
  `QR_CODE` varchar(100) DEFAULT NULL COMMENT '二维码',
  `STORE_HOME_PIC` varchar(100) DEFAULT NULL COMMENT '首页图片',
  `STORE_PIC` varchar(200) DEFAULT NULL COMMENT '店铺图片',
  `IS_AUDITING` tinyint(4) DEFAULT NULL COMMENT '是否审核(0未审核，1已审核）',
  `IS_SHOPPING` tinyint(4) DEFAULT NULL COMMENT '是否展示（0不展示，1展示）',
  `UPLOAD_TIME` datetime DEFAULT NULL COMMENT '上传时间',
  `MATURE_TIME` datetime DEFAULT NULL COMMENT '到期时间',
  `CLICKS` int(11) DEFAULT NULL COMMENT '点击量',
  `IS_RECOMMEND` tinyint(4) DEFAULT NULL COMMENT '是否推荐',
  `CREATE_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATE_TIME` datetime DEFAULT NULL COMMENT '修改时间',
  `OPERATOR_ID` varchar(20) DEFAULT NULL COMMENT '操作人ID',
  `OPERATOR_TYPE` tinyint(4) DEFAULT NULL COMMENT '操作人类型',
  `SERIAL_NUMBER` int(4) DEFAULT NULL COMMENT '序号',
  `IS_DELETED` tinyint(4) DEFAULT NULL COMMENT '是否删除(0未删除1删除)',
  `IS_AVAILABLE` tinyint(4) DEFAULT NULL COMMENT '是否启用（0不启用1 启用）',
  PRIMARY KEY (`STORE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for t_sys_param
-- ----------------------------
DROP TABLE IF EXISTS `t_sys_param`;
CREATE TABLE `t_sys_param` (
  `PARAM_ID` varchar(20) NOT NULL,
  `PARAM_KEY` varchar(50) DEFAULT NULL,
  `PARAM_NAME` varchar(100) DEFAULT NULL,
  `PARAM_VALUE` varchar(500) DEFAULT NULL,
  `MEMO` varchar(1000) DEFAULT NULL,
  `IS_CONFIGURABLE` tinyint(4) DEFAULT NULL,
  `IS_DELETED` tinyint(4) DEFAULT NULL,
  `CREATE_TIME` datetime DEFAULT NULL,
  `UPDATE_TIME` datetime DEFAULT NULL,
  `OPERATOR_TYPE` tinyint(4) DEFAULT NULL,
  `OPERATOR_ID` varchar(32) DEFAULT NULL,
  `PARAM_VALUE_TYPE` varchar(50) DEFAULT NULL COMMENT '参数值的类型',
  `PARAM_VALUE_MODE` varchar(50) DEFAULT NULL COMMENT '参数值的输入方式',
  `PARAM_VALUE_JSON` varchar(1000) DEFAULT NULL COMMENT '参数值的JSON集合',
  `SEQ` tinyint(4) DEFAULT NULL COMMENT '序号',
  `PARAM_GROUP` varchar(100) DEFAULT NULL COMMENT '参数组（1:业务运维，2:技术运维）',
  `PARAM_TYPE` varchar(100) DEFAULT NULL COMMENT '业务类型',
  `PARAM_VALUE2` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`PARAM_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for t_sys_permission
-- ----------------------------
DROP TABLE IF EXISTS `t_sys_permission`;
CREATE TABLE `t_sys_permission` (
  `PERM_ID` varchar(20) NOT NULL,
  `PERM_NAME` varchar(50) DEFAULT NULL,
  `PERM_CODE` varchar(50) DEFAULT NULL,
  `MODULE_NAME` varchar(50) DEFAULT NULL,
  `PERM_TYPE` tinyint(4) DEFAULT NULL,
  `PERM_RESOURCE` varchar(200) DEFAULT NULL,
  `MEMO` varchar(500) DEFAULT NULL,
  `IS_AVAILABLE` tinyint(4) DEFAULT NULL,
  `IS_MENU` tinyint(4) DEFAULT NULL,
  `IS_MENU_SHOW` tinyint(4) DEFAULT NULL,
  `MENU_NAME` varchar(50) DEFAULT NULL,
  `LEVEL` int(11) DEFAULT NULL,
  `PARENT_ID` varchar(32) DEFAULT NULL,
  `RANKING` int(11) DEFAULT NULL,
  `CREATE_TIME` datetime DEFAULT NULL,
  `UPDATE_TIME` datetime DEFAULT NULL,
  `OPERATOR_TYPE` tinyint(4) DEFAULT NULL,
  `OPERATOR_ID` varchar(20) DEFAULT NULL,
  `IDENTIFICATION` tinyint(4) DEFAULT NULL,
  `ICON_NAME` varchar(50) DEFAULT NULL COMMENT '图标名称',
  PRIMARY KEY (`PERM_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for t_sys_role
-- ----------------------------
DROP TABLE IF EXISTS `t_sys_role`;
CREATE TABLE `t_sys_role` (
  `ROLE_ID` varchar(20) NOT NULL,
  `ROLE_NAME` varchar(50) DEFAULT NULL,
  `MEMO` varchar(200) DEFAULT NULL,
  `IS_AVAILABLE` tinyint(4) DEFAULT NULL,
  `IS_DELETED` tinyint(4) DEFAULT NULL,
  `CREATE_TIME` datetime DEFAULT NULL,
  `UPDATE_TIME` datetime DEFAULT NULL,
  `OPERATOR_TYPE` tinyint(4) DEFAULT NULL,
  `OPERATOR_ID` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`ROLE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for t_sys_role_perm_rel
-- ----------------------------
DROP TABLE IF EXISTS `t_sys_role_perm_rel`;
CREATE TABLE `t_sys_role_perm_rel` (
  `ROLE_ID` varchar(20) NOT NULL,
  `PERM_ID` varchar(20) NOT NULL,
  `CREATE_TIME` datetime DEFAULT NULL,
  `UPDATE_TIME` datetime DEFAULT NULL COMMENT '更新时间',
  `OPERATOR_ID` varchar(20) DEFAULT NULL COMMENT '操作人id',
  `OPERATOR_TYPE` tinyint(4) DEFAULT NULL COMMENT '操作类型',
  PRIMARY KEY (`ROLE_ID`,`PERM_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for t_sys_user
-- ----------------------------
DROP TABLE IF EXISTS `t_sys_user`;
CREATE TABLE `t_sys_user` (
  `USER_ID` varchar(20) NOT NULL COMMENT '用户id',
  `USER_NAME` varchar(50) DEFAULT NULL COMMENT '用户名',
  `PASSWORD` varchar(50) DEFAULT NULL COMMENT '密码',
  `REAL_NAME` varchar(50) DEFAULT NULL COMMENT '真实姓名',
  `SEX` varchar(4) DEFAULT NULL COMMENT '性别',
  `MOBILE_PHONE` varchar(20) DEFAULT NULL COMMENT '手机',
  `MEMO` varchar(2000) DEFAULT NULL COMMENT '备注',
  `IS_AVAILABLE` tinyint(4) DEFAULT '1' COMMENT '账户是否可用（1、可用，0、不可用，默认1）',
  `IS_DELETED` tinyint(4) DEFAULT '0' COMMENT '是否已删除（逻辑删除，1、已删除，0、未删除，默认0）',
  `DEPT_ID` varchar(20) DEFAULT NULL,
  `CREATE_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATE_TIME` datetime DEFAULT NULL COMMENT '更新时间',
  `OPERATOR_TYPE` tinyint(4) DEFAULT NULL COMMENT '操作人类型（0、系统自动操作，1、平台人员操作，2、商家人员操作，3、会员操作）',
  `OPERATOR_ID` varchar(20) DEFAULT NULL COMMENT '操作人id（根据操作人类型会对应不同的表记录）',
  `FLAG` varchar(2) DEFAULT '0' COMMENT '是否是超级管理员',
  PRIMARY KEY (`USER_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for t_sys_user_role_rel
-- ----------------------------
DROP TABLE IF EXISTS `t_sys_user_role_rel`;
CREATE TABLE `t_sys_user_role_rel` (
  `USER_ID` varchar(20) NOT NULL,
  `ROLE_ID` varchar(20) NOT NULL,
  `CREATE_TIME` datetime DEFAULT NULL,
  `UPDATE_TIME` datetime DEFAULT NULL,
  `OPERATOR_TYPE` tinyint(4) DEFAULT NULL,
  `OPERATOR_ID` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`USER_ID`,`ROLE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for t_worker
-- ----------------------------
DROP TABLE IF EXISTS `t_worker`;
CREATE TABLE `t_worker` (
  `WORKER_ID` varchar(20) NOT NULL COMMENT '员工ID',
  `WORKER_NAME` varchar(20) DEFAULT NULL COMMENT '员工名称',
  `WORKER_NUMBER` varchar(20) DEFAULT NULL COMMENT '员工工号',
  `WORKER_SEX` tinyint(4) DEFAULT NULL COMMENT '性别',
  `WORKER_AGE` int(4) DEFAULT NULL COMMENT '年龄',
  `WORKER_BIRTHDAY` varchar(20) DEFAULT NULL COMMENT '生日',
  `WORKER_ANCESTRAL` varchar(200) DEFAULT NULL COMMENT '祖籍',
  `WORKER_HEIGHT` varchar(20) DEFAULT NULL COMMENT '身高',
  `WORKER_WEIGHT` varchar(20) DEFAULT NULL COMMENT '体重',
  `WORKER_BUST` varchar(20) DEFAULT NULL COMMENT '胸围',
  `WORKER_WAIST` varchar(20) DEFAULT NULL COMMENT '腰围',
  `WORKER_HIPLINE` varchar(20) DEFAULT NULL COMMENT '臀围',
  `WORKER_HOME_PIC` varchar(200) DEFAULT NULL COMMENT '首页照片',
  `WORKER_PIC` varchar(200) DEFAULT NULL COMMENT '员工照片',
  `WORKER_RESUME` varchar(255) DEFAULT NULL COMMENT '个人简历',
  `STORE_ID` varchar(20) DEFAULT NULL COMMENT '店铺编号',
  `ADMINISTRATORS_ID` varchar(20) DEFAULT NULL COMMENT '管理员编号',
  `IS_AUDITING` tinyint(4) DEFAULT NULL COMMENT '是否审核',
  `IS_SHOPPING` tinyint(4) DEFAULT NULL COMMENT '是否展示',
  `UPLOAD_TIME` datetime DEFAULT NULL COMMENT '上传时间',
  `MATURE_TIME` datetime DEFAULT NULL COMMENT '到期时间',
  `CLICKS` int(11) DEFAULT NULL COMMENT '点击量',
  `IS_RECOMMEND` tinyint(4) DEFAULT NULL COMMENT '是否推荐',
  `WORKER_PLACE_OF_ADDRESS` varchar(200) DEFAULT NULL COMMENT '现居住地',
  `CREATE_TIME` datetime DEFAULT NULL COMMENT '创建时间',
  `UPDATE_TIME` datetime DEFAULT NULL COMMENT '修改时间',
  `OPERATOR_ID` varchar(20) DEFAULT NULL COMMENT '操作人ID',
  `OPERATOR_TYPE` tinyint(4) DEFAULT NULL COMMENT '操作人类型',
  `SERIAL_NUMBER` int(4) DEFAULT NULL COMMENT '序号',
  `IS_DELETED` tinyint(4) DEFAULT NULL COMMENT '是否删除（0未删除 1 删除）',
  PRIMARY KEY (`WORKER_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
